Bug 229639

Summary: gnome-screensaver blank screensaver could tell g-p-m to power off monitor right away to save power
Product: [Fedora] Fedora Reporter: Ralf Ertzinger <redhat-bugzilla>
Component: gnome-screensaverAssignee: jmccann
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: bnocera, cschalle, dmobrien_2001, drago01, jmccann, rstrode, theholyettlz, trevor, valent.turkovic, walovaton
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 13:02:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 484668    

Description Ralf Ertzinger 2007-02-22 08:10:21 EST
Description of problem:
When using the "blank" screensaver I am missing an option to tell g-s to set the
monitor to power save while the screensaver is running.
The power management options in g-s just offers me a global setting for this,
which is not what I want. I do not want the monitor to switch off in general
after X minutes, I just want it to switch off when the screen saver runs (please
note that setting the "activate screensaver" and "disable display" timeout to
the same value does not help me, as there may be a program running (media
player, for example) that disables the screensaver temporarily, and I do not
want the power save module to change the display state then.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.17.7-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. Select "blank" screen saver
2. Wait for activation
3.
  
Actual results:
Screen goes blank, but display stays active (backlight on a laptop, for example)

Expected results:
screen goes blank and display is disabled (optionally)

Additional info:
Comment 1 Ray Strode [halfline] 2007-04-03 11:50:44 EDT
So to be clear, this request is asking that the "blank screen" screensaver
should force a dpms off of the monitor?
Comment 2 Ralf Ertzinger 2007-04-03 11:56:04 EDT
Configurable, but basically yes.

Maybe for screensavers in general (enable screensaver after x minutes, power off
monitor after x+y)
Comment 3 Valent Turkovic 2007-05-04 03:46:09 EDT
This would be a nice feature. I support this.
Comment 4 drago01 2007-08-29 14:20:43 EDT
+1 
but I don't think it should be configureable blank screen = display off there is
no point in just displaying a black image and wasting power.
Comment 5 jmccann 2007-08-29 14:27:09 EDT
My recollection is that in g-p-m the zero value for the dpms timeout (in
minutes) was special cased.  And meant "never" or something...
Comment 6 Trevor Cordes 2008-03-23 02:33:51 EDT
Likewise, can we make it so when the screen powers off (dpms, under OS control)
the screen saver stops or switches to blank screen?  What's the point of having
the crazy CPU-eating screen savers on after the screen power goes off?

Or does it already do that?  I guess the only way to tell is to ssh in from
another box.  I do believe last time I checked the screensaver keeps running.
Comment 7 Bug Zapper 2008-05-13 22:38:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dan O'Brien 2008-10-19 19:18:24 EDT
I searched around and this is the closed BUG I could find to what I'm observing. I also use the blank screensaver. I also configure power management to turn off display shortly after the blank screensaver kicks in.  The problem is that the power management time setting seems to not be carried across reboots or login sessions.  The value of the power off display setting is carried, but the action of the screensaver isn't done unless I explicitly and manually set the power display off time each time I login.  Then the screensaver will turn the display off at the requested time.  If I logout and login back in, the screensaver forgets it is supposed to power off the display at the requested time.

This has been true from FC8 and now in FC9.
Comment 9 Bug Zapper 2009-06-09 18:28:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 William Lovaton 2009-06-15 09:28:01 EDT
I think that in general this is an interesting feature, I think someone should update the version of this bug report to Fedora 11 or Rawhide.  Is there any technical reason for not doing this?
Comment 11 drago01 2009-06-15 11:28:50 EDT
(In reply to comment #10)
> I think that in general this is an interesting feature, I think someone should
> update the version of this bug report to Fedora 11 or Rawhide.  Is there any
> technical reason for not doing this?  

Its already implemented. It just does not power off the display immediately because some displays need some time to return from DPMS.
Comment 12 James 2009-06-15 11:39:17 EDT
(In reply to comment #11)
> Its already implemented. It just does not power off the display immediately
> because some displays need some time to return from DPMS.  

I don't understand --- surely that would delay powering them back on?
Comment 13 Bug Zapper 2009-07-14 13:02:13 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.